package invitationdb

import (
	"context"

	"github.com/tech/sendico/pkg/model"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

func (db *InvitationDB) Accept(ctx context.Context, invitationRef primitive.ObjectID) error {
	return db.updateStatus(ctx, invitationRef, model.InvitationAccepted)
}
